Subject: Re: B19: perl does not support <STDIN>
From: [email-masked] (Earnie Boyd)

14 Nov 1998 17:01:45 -0800
Message-ID: <[email-masked]>
Reply-To: [email-masked]
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
To: "Patrice M.I. Parmentier" <[email-masked]>, [email-masked]

---"Patrice M.I. Parmentier" <[email-masked]> wrote:
>
> I write the trivial perl script:
> 
> print while(<STDIN>);
> 
> and run it with perl 5.00502 (ActiveState distribution AND my own
> compilation without PERL_OBJECT) on NT4 (sp3). While the script works
> properly on DOS shells, it does not work on bash: the script
immediately
> stops without reading anything from the keyboard...

If the perl is a native win32 (non-cygwin) version and you have tty
set in the CYGWIN32 variable then it's not going to work.  In order
for stdio to happen for non-cygwin binaries with the cygwin bash
requires that you set notty.

==
-                        \\||//
-------------------o0O0--Earnie--0O0o-------------------
--                [email-masked]               --
-- http://www.freeyellow.com/members5/gw32/index.html --
----------------------ooo0O--O0ooo----------------------

PS: Newbie's, you should visit my page.
_________________________________________________________
DO YOU YAHOO!?
Get your free @yahoo.com address at http://mail.yahoo.com

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".